#!/bin/sh
clear
echo 
echo ASclock configure:
echo ------------------
echo
echo 'Choose language from:'
echo
echo '1) english [DEFAULT]'
echo '2) german'
echo '3) portuguese'
echo '4) dutch'
echo '5) norwegian'
echo
echo 'Select from [1..5] : '
read LANG
rm -f weekday.xpm asclock month.xpm
case $LANG in 
    5) ANS=norwegian;;
    4) ANS=dutch;;
    3) ANS=portuguese;;
    2) ANS=german;;
    *) ANS=english;;
esac
      ln -s ./$ANS/month.xpm
      ln -s ./$ANS/weekday.xpm
      echo $ANS has been chosen!
#################################################################
echo ----
echo 'Choose paneltype from:'
echo
echo '1) 8bit AfterStep-colors (47 colors) [DEFAULT]'
echo '2) 8bit NeXTStep -colors (76 colors)'
echo '3) 2bit greyscale        ( 4 colors)'
echo
echo 'Select from [1..3] : ' 
read PANEL
rm -f ./clk.xpm
case $PANEL in
   3)	echo '2bit panel'
        ln -s ./xpm/clk2.xpm ./clk.xpm
	;;
   2)	echo 'Wharf-style, b/w led (44 colors)'
	ln -s ./xpm/color.xpm ./clk.xpm
	;;
   *)	echo '8bit Wharf-style color led (~50 colors)'
	ln -s ./xpm/color.xpm ./clk.xpm
	;;
esac
xmkmf
